> ## Documentation Index
> Fetch the complete documentation index at: https://vectorly-783efd43.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update information of current user.

> Modify the property of the current logined user. Currently only login
password is supported.



## OpenAPI

````yaml put /base/user
openapi: 3.1.0
info:
  title: Coinfer Server API
  version: 0.0.1776236533+0db4b8c
  description: |+

    This part of document describes the HTTP APIs of the Coinfer cloud.

servers:
  - url: https://api.coinfer.ai
    description: The production environment
  - url: https://dev.coinfer.ai
    description: The development environment
security: []
tags:
  - name: Object
    description: APIs related to object CRUD operations.
  - name: Invoke
    description: APIs used to invoke CloudFunction or run workflow.
  - name: Notification
    description: APIs related to notification.
  - name: Authorization
    description: >-
      APIs related to user, token, login, etc.


      Normally APIs in this group should not be used. You should get API token
      from our website and then use the token to call other APIs.
paths:
  /base/user:
    put:
      tags:
        - Authorization
      summary: Update information of current user.
      description: |-
        Modify the property of the current logined user. Currently only login
        password is supported.
      operationId: coinfer_apis_base_api_modify_current_user
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ModifyCurrentUser'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccRsp_UserInfoRsp_'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrRsp'
      security:
        - GlobalAuth: []
components:
  schemas:
    ModifyCurrentUser:
      properties:
        new_password:
          anyOf:
            - type: string
            - type: 'null'
          title: New Password
        password:
          anyOf:
            - type: string
            - type: 'null'
          title: Password
      title: ModifyCurrentUser
      type: object
    SuccRsp_UserInfoRsp_:
      properties:
        status:
          const: ok
          title: Status
          type: string
        data:
          $ref: '#/components/schemas/UserInfoRsp'
      required:
        - status
        - data
      title: SuccRsp[UserInfoRsp]
      type: object
    ErrRsp:
      properties:
        status:
          const: error
          title: Status
          type: string
        code:
          title: Code
          type: string
        message:
          title: Message
          type: string
      required:
        - status
        - code
        - message
      title: ErrRsp
      type: object
    UserInfoRsp:
      properties:
        id:
          title: Id
          type: integer
        username:
          title: Username
          type: string
        super:
          title: Super
          type: boolean
        roles:
          items:
            type: string
          title: Roles
          type: array
        is_github_user:
          title: Is Github User
          type: boolean
      required:
        - id
        - username
        - super
        - roles
        - is_github_user
      title: UserInfoRsp
      type: object
  securitySchemes:
    GlobalAuth:
      type: http
      scheme: bearer

````